Package com.ocient.jdbc.proto

# Interface PlanProtocol.UnionOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.UnionOperator`, `PlanProtocol.UnionOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.UnionOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getAll()` | this flag differentiates UNION from UNION ALL
`String` | `getIgnoredCols​(int index)` | `repeated string ignoredCols = 5;`
`com.google.protobuf.ByteString` | `getIgnoredColsBytes​(int index)` | `repeated string ignoredCols = 5;`
`int` | `getIgnoredColsCount()` | `repeated string ignoredCols = 5;`
`List<String>` | `getIgnoredColsList()` | `repeated string ignoredCols = 5;`
`boolean` | `getIsSwitchUnion()` | Is this the top of a switch block
`boolean` | `getNotNeeded()` | If true, this doesn't have to be an exact distinct
`boolean` | `getUseVector()` | If distinct can be computed with vectors instead of maps

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getAll

boolean getAll()

    this flag differentiates UNION from UNION ALL

`bool all = 1;`

### getIsSwitchUnion

boolean getIsSwitchUnion()

    Is this the top of a switch block

`bool is_switch_union = 2;`

### getNotNeeded

boolean getNotNeeded()

    If true, this doesn't have to be an exact distinct

`bool not_needed = 3;`

### getUseVector

boolean getUseVector()

    If distinct can be computed with vectors instead of maps

`bool use_vector = 4;`

### getIgnoredColsList

List<String> getIgnoredColsList()
`repeated string ignoredCols = 5;`

### getIgnoredColsCount

int getIgnoredColsCount()
`repeated string ignoredCols = 5;`

### getIgnoredCols

String getIgnoredCols​(int index)
`repeated string ignoredCols = 5;`

### getIgnoredColsBytes

com.google.protobuf.ByteString getIgnoredColsBytes​(int index)
`repeated string ignoredCols = 5;`